View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
09381Bug reportsSurvey participants (Tokens)public2014-12-10 09:21
Reporteraesteban Assigned Toaesteban  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.05+ 
Fixed in Version2.05+ 
Summary09381: Bug when showing message of invalid token
Description

Wrong variable in if condition when showing message of invalid token (application/controllers/survey/index.php):

[ ... ]
elseif(strtotime($now) < strtotime($oToken->validfrom))
{
$sError = gT("This invitation is not valid yet.");
}
elseif(strtotime($now)>strtotime($oToken->validfrom))
{
$sError = gT("This invitation is not valid anymore.");
}
[ ... ]

In the second "ifelse" condition variable should be "validuntil"

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)bf48d233bd8e61757bc96cbd37b1
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database type & versionPostgresql 9.1
Server OS (if known)Debian Wheezy
Webserver software & version (if known)Apache 2.2.22
PHP Version5.4.34

Users monitoring this issue

User List aesteban

Activities

aesteban

aesteban

2014-12-02 01:30

developer   ~31135

Pull request created to fix this bug:

https://github.com/LimeSurvey/LimeSurvey/pull/243

c_schmitz

c_schmitz

2014-12-02 11:32

administrator   ~31138

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=14685

aesteban

aesteban

2014-12-02 11:33

developer   ~31139

Fix committed to 2.06 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=14686

c_schmitz

c_schmitz

2014-12-10 09:21

administrator   ~31228

Version 2.05+ Build 141210 released

Related Changesets

LimeSurvey: master 0f22eac1

2014-12-02 00:26:47

aesteban

Details Diff
Fixed issue 09381: Bug when showing message of invalid token Affected Issues
09381
mod - application/controllers/survey/index.php Diff File

LimeSurvey: 2.06 85fc561e

2014-12-02 00:26:47

aesteban

Details Diff
Fixed issue 09381: Bug when showing message of invalid token Affected Issues
09381
mod - application/controllers/survey/index.php Diff File

LimeSurvey: master 77e9362a

2014-12-02 10:32:01

c_schmitz

Details Diff
Merge pull request #243 from Aestu/fix_09381_wrong_variable

Fixed issue 09381: Bug when showing message of invalid token
Affected Issues
09381
mod - application/controllers/survey/index.php Diff File

Issue History

Date Modified Username Field Change
2014-12-02 01:22 aesteban New Issue
2014-12-02 01:30 aesteban Note Added: 31135
2014-12-02 01:36 aesteban Issue Monitored: aesteban
2014-12-02 11:32 aesteban Changeset attached => LimeSurvey master 0f22eac1
2014-12-02 11:32 c_schmitz Changeset attached => LimeSurvey master 77e9362a
2014-12-02 11:32 c_schmitz Note Added: 31138
2014-12-02 11:32 c_schmitz Assigned To => c_schmitz
2014-12-02 11:32 c_schmitz Resolution open => fixed
2014-12-02 11:33 aesteban Changeset attached => LimeSurvey 2.06 85fc561e
2014-12-02 11:33 aesteban Note Added: 31139
2014-12-02 11:33 aesteban Assigned To c_schmitz => aesteban
2014-12-02 11:33 c_schmitz Status new => resolved
2014-12-02 11:33 c_schmitz Fixed in Version => 2.05+
2014-12-10 09:21 c_schmitz Note Added: 31228
2014-12-10 09:21 c_schmitz Status resolved => closed
2016-12-08 10:39 c_schmitz Category Tokens => Survey participants (Tokens)
2021-08-03 15:12 guest Bug heat 4 => 6